Overview | Package | Class | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## jet.api
Class BLHierarchyInfo

    java.lang.Object
      jet.api.BLHierarchyInfo

    public class BLHierarchyInfo

extends java.lang.Object

Copyright (c) 1998, Jinfonet Software, Inc. All rights reserved.

Constructor Summary
`BLHierarchyInfo(java.lang.String name)` Constructor.Creates a JReport BusinessLogic Hierarchy

Method Summary
`boolean` | `containsDimension(java.lang.String dimName)` Checks if a dimension contained in this Hierarchy
`java.lang.String` | `getDescription()` Gets description of Hierarchy
`java.lang.String[]` | `getDimensionQualifyNames()` Get Dimensions' qualifyname contained in this Hierarchy
`java.lang.String` | `getName()` Gets name of Hierarchy
`void` | `setDescription(java.lang.String description)` Sets description of Hierarchy
`void` | `setDimensions(java.lang.String[] dimQualifyName)` Set Dimensions that be contained in this Hierarchy
`void` | `setName(java.lang.String name)` Sets name of Hierarchy

Methods inherited from class java.lang.Object
`equals, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Constructor Detail

### BLHierarchyInfo

    public BLHierarchyInfo(java.lang.String name)

  Constructor.Creates a JReport BusinessLogic Hierarchy

  Parameters:
    `name` - Indicates Hierarchy name.

Method Detail

### setDescription

    public void setDescription(java.lang.String description)

  Sets description of Hierarchy

  Parameters:
    `description` - the description of Hierarchy.

### getDescription

    public java.lang.String getDescription()

  Gets description of Hierarchy

  Returns:
    the description of Hierarchy.

### setName

    public void setName(java.lang.String name)

  Sets name of Hierarchy

  Parameters:
    `name` - the name of Hierarchy.

### getName

    public java.lang.String getName()

  Gets name of Hierarchy

  Returns:
    the name of Hierarchy.

### setDimensions

    public void setDimensions(java.lang.String[] dimQualifyName)

  Set Dimensions that be contained in this Hierarchy

  Parameters:
    `dimQualifyName` - all dimentions' qualifyname.

### getDimensionQualifyNames

    public java.lang.String[] getDimensionQualifyNames()

  Get Dimensions' qualifyname contained in this Hierarchy

  Returns:
    all dimensions' qualifyname.

### containsDimension

    public boolean containsDimension(java.lang.String dimName)

  Checks if a dimension contained in this Hierarchy

  Returns:
    true if this Hierarchy contain the dimension, otherwise return false.

Overview | Package | Class | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD